> For the complete documentation index, see [llms.txt](https://docs.truedat.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.truedat.io/v8.8/api-integrations/business-glossary-apis/user-search-filters.md).

# User Search Filters

## GET /api/business\_concept\_user\_filters/{id}

> Show user search filter

```json
{"openapi":"3.0.0","info":{"title":"td-bg","version":"Truedat 8.8.0"},"paths":{"/api/business_concept_user_filters/{id}":{"get":{"operationId":"TdBgWeb.UserSearchFilterController.show","parameters":[{"description":"User search filter ID","in":"path","name":"id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserSearchFilterShowResponse"}}},"description":"User search filter"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TdBgUnauthorizedResponse"}}},"description":"Unauthorized"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TdBgNotFoundResponse"}}},"description":"Not found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TdBgInternalServerErrorResponse"}}},"description":"Internal Server Error"}},"summary":"Show user search filter","tags":["User Search Filters"]}}},"components":{"schemas":{"UserSearchFilterShowResponse":{"properties":{"data":{"additionalProperties":true,"type":"object"}},"title":"UserSearchFilterShowResponse","type":"object"},"TdBgUnauthorizedResponse":{"properties":{"errors":{"properties":{"message":{"type":"string"}},"type":"object"}},"title":"TdBgUnauthorizedResponse","type":"object"},"TdBgNotFoundResponse":{"properties":{"errors":{"properties":{"detail":{"type":"string"}},"type":"object"}},"title":"TdBgNotFoundResponse","type":"object"},"TdBgInternalServerErrorResponse":{"properties":{"errors":{"properties":{"detail":{"type":"string"}},"type":"object"}},"title":"TdBgInternalServerErrorResponse","type":"object"}}}}
```

## DELETE /api/business\_concept\_user\_filters/{id}

> Delete user search filter (only owner)

```json
{"openapi":"3.0.0","info":{"title":"td-bg","version":"Truedat 8.8.0"},"paths":{"/api/business_concept_user_filters/{id}":{"delete":{"operationId":"TdBgWeb.UserSearchFilterController.delete","parameters":[{"description":"User search filter ID","in":"path","name":"id","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"User search filter deleted"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TdBgUnauthorizedResponse"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TdBgForbiddenResponse"}}},"description":"Forbidden"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TdBgNotFoundResponse"}}},"description":"Not found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TdBgInternalServerErrorResponse"}}},"description":"Internal Server Error"}},"summary":"Delete user search filter (only owner)","tags":["User Search Filters"]}}},"components":{"schemas":{"TdBgUnauthorizedResponse":{"properties":{"errors":{"properties":{"message":{"type":"string"}},"type":"object"}},"title":"TdBgUnauthorizedResponse","type":"object"},"TdBgForbiddenResponse":{"properties":{"errors":{"properties":{"detail":{"type":"string"}},"type":"object"}},"title":"TdBgForbiddenResponse","type":"object"},"TdBgNotFoundResponse":{"properties":{"errors":{"properties":{"detail":{"type":"string"}},"type":"object"}},"title":"TdBgNotFoundResponse","type":"object"},"TdBgInternalServerErrorResponse":{"properties":{"errors":{"properties":{"detail":{"type":"string"}},"type":"object"}},"title":"TdBgInternalServerErrorResponse","type":"object"}}}}
```

## List user search filters for current user

> Retrieve the current user's saved search filters.

```json
{"openapi":"3.0.0","info":{"title":"td-bg","version":"Truedat 8.8.0"},"paths":{"/api/business_concept_user_filters/me":{"get":{"description":"Retrieve the current user's saved search filters.","operationId":"TdBgWeb.UserSearchFilterController.index_by_user","parameters":[],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserSearchFilterIndexByUserResponse"}}},"description":"User search filters"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TdBgUnauthorizedResponse"}}},"description":"Unauthorized"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TdBgInternalServerErrorResponse"}}},"description":"Internal Server Error"}},"summary":"List user search filters for current user","tags":["User Search Filters"]}}},"components":{"schemas":{"UserSearchFilterIndexByUserResponse":{"properties":{"data":{"items":{"additionalProperties":true,"type":"object"},"type":"array"}},"title":"UserSearchFilterIndexByUserResponse","type":"object"},"TdBgUnauthorizedResponse":{"properties":{"errors":{"properties":{"message":{"type":"string"}},"type":"object"}},"title":"TdBgUnauthorizedResponse","type":"object"},"TdBgInternalServerErrorResponse":{"properties":{"errors":{"properties":{"detail":{"type":"string"}},"type":"object"}},"title":"TdBgInternalServerErrorResponse","type":"object"}}}}
```

## List all user search filters

> Retrieve all user search filters available in the system.

```json
{"openapi":"3.0.0","info":{"title":"td-bg","version":"Truedat 8.8.0"},"paths":{"/api/business_concept_user_filters":{"get":{"description":"Retrieve all user search filters available in the system.","operationId":"TdBgWeb.UserSearchFilterController.index","parameters":[],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserSearchFilterIndexResponse"}}},"description":"User search filters"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TdBgUnauthorizedResponse"}}},"description":"Unauthorized"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TdBgInternalServerErrorResponse"}}},"description":"Internal Server Error"}},"summary":"List all user search filters","tags":["User Search Filters"]}}},"components":{"schemas":{"UserSearchFilterIndexResponse":{"properties":{"data":{"items":{"additionalProperties":true,"type":"object"},"type":"array"}},"title":"UserSearchFilterIndexResponse","type":"object"},"TdBgUnauthorizedResponse":{"properties":{"errors":{"properties":{"message":{"type":"string"}},"type":"object"}},"title":"TdBgUnauthorizedResponse","type":"object"},"TdBgInternalServerErrorResponse":{"properties":{"errors":{"properties":{"detail":{"type":"string"}},"type":"object"}},"title":"TdBgInternalServerErrorResponse","type":"object"}}}}
```

## POST /api/business\_concept\_user\_filters

> Create user search filter

```json
{"openapi":"3.0.0","info":{"title":"td-bg","version":"Truedat 8.8.0"},"paths":{"/api/business_concept_user_filters":{"post":{"operationId":"TdBgWeb.UserSearchFilterController.create","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserSearchFilterCreateRequest"}}},"description":"User search filter payload","required":false},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserSearchFilterCreateResponse"}}},"description":"User search filter created"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TdBgUnauthorizedResponse"}}},"description":"Unauthorized"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TdBgUnprocessableEntityFiltersResponse"}}},"description":"Unprocessable Entity"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TdBgInternalServerErrorResponse"}}},"description":"Internal Server Error"}},"summary":"Create user search filter","tags":["User Search Filters"]}}},"components":{"schemas":{"UserSearchFilterCreateRequest":{"additionalProperties":false,"properties":{"user_search_filter":{"additionalProperties":false,"properties":{"filters":{"additionalProperties":true,"description":"Dynamic search criteria","type":"object"},"is_global":{"default":false,"type":"boolean"},"name":{"type":"string"}},"required":["name","filters"],"type":"object"}},"required":["user_search_filter"],"title":"UserSearchFilterCreateRequest","type":"object"},"UserSearchFilterCreateResponse":{"properties":{"data":{"additionalProperties":true,"type":"object"}},"title":"UserSearchFilterCreateResponse","type":"object"},"TdBgUnauthorizedResponse":{"properties":{"errors":{"properties":{"message":{"type":"string"}},"type":"object"}},"title":"TdBgUnauthorizedResponse","type":"object"},"TdBgUnprocessableEntityFiltersResponse":{"properties":{"errors":{"properties":{"filters":{"type":"array"},"name":{"type":"array"}},"type":"object"}},"title":"TdBgUnprocessableEntityFiltersResponse","type":"object"},"TdBgInternalServerErrorResponse":{"properties":{"errors":{"properties":{"detail":{"type":"string"}},"type":"object"}},"title":"TdBgInternalServerErrorResponse","type":"object"}}}}
```
